/* 
 * This file is part of the Echo Point Project.  This project is a collection
 * of Components that have extended the Echo Web Application Framework.
 *
 * EchoPoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * EchoPoint is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Echo Point; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Helper functions for Calendar Popup integration with EchoPoint
 */

function cdputil__hideAllPopupWindows(e)
{
	for(var i = 0; i < popupWindowObjects.length; i++) {
		popupWindowObjects[i].hideIfNotClicked(e);
   	}
}

epbe_registerDocumentEventHandler("click", cdputil__hideAllPopupWindows, "ClientDatePicker");


function cdputil_hideSelectFields(hideFlag) {
	if (browser.isIE && this.divName != null) {
		if (hideFlag)
			epbe_hideSelectFieldsUnder(this.hideHtmlId);
		else
			epbe_showSelectFieldsUnder(this.hideHtmlId);
	}
}

/*
 *  Overrides Calendar.hideIfNotClicked
 */
function cdputil_hideIfNotClicked(event) {
	var e = getElementById(this.divName);
	//
	// this optimisation makes it much much faster.  If the
	// calendar div is already invisible, then dont worry it
	// must have already been done!
	//
	if (e && ! e.isVisible())
		return;
	
	if (! this.isClicked(event)) {
		if (! this.triggered) {	
			this.hidePopup();
			this.hideSelectFields(false);
			if (e) {
				e.setX(-10000);
				e.setY(-10000);
			}
		}
	}
	this.triggered = false;
}

function cdputil_isClicked(event)
{
   	if(this.divName != null) {
		var targetHtmlE = null;
		if (browser.isIE)
			targetHtmlE = window.event.srcElement;
		else
			targetHtmlE = event.target;
		
		var targetE = new E(targetHtmlE);
		while (targetE.getParent() != null) {
			if (targetE.id == this.divName)
				return true;
			targetE = targetE.getParent();		
		}
	}
	return false;
}



//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Called to toggle the ClientDatePicker from the trigger button 
//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function cdputil_triggerClick(event,calId,textFieldId,textFieldIdReal,triggerId,datePattern) {
	var cal = eval(calId);
	var textField = eval("document.forms[0]." + textFieldId);
	var calE = getElementById(cal.divName);
	if (! calE.isVisible()) {
		cdputil__hideAllPopupWindows(event);
		cal.triggered = true;
		cal.select(textField,textFieldIdReal,datePattern);
		cal.hideSelectFields(true);
	} else {
		cal.triggered = false;
		cal.hideCalendar();
		cal.hideSelectFields(false);
	}
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Called to close the ClientDatePicker from within a date
// and set the text field values  
//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function cdputil_returnFunction(y,m,d,calId,textFieldId, paramId) {
	var cal = eval(calId);
	var textField = eval("document.forms[0]." + textFieldId);
	var dt = new Date(y,m-1,d,0,0,0);
	var newValue = formatDate(dt,window.CP_dateFormat);
	textField.value = newValue; 
	E_setParameter(paramId,newValue);
	cal.hideSelectFields(false);
	return false;
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Dont save any values if we are not enabled
//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function cdputil_notEnabledReturnFunction(y,m,d,calId,textFieldId, paramId) {
	var cal = eval(calId);
	cal.hideSelectFields(false);
	return false;
}

	
