@echo off
if "%OS%" == "Windows_NT" setlocal

rem Upgrade existing JS environment to a newer version using patch file

if exist "distrib_dir\lib" goto okHome
echo.
echo  You must run the upgrade command from jobserver directory
echo.
echo  JobServer installation terminated
echo.
goto  end
:okHome

set PATCH_EJS_HOME=%CD%

set PATCH_LEVEL=-full

if "%1" == "" goto levelNext
set PATCH_LEVEL=%1
:levelNext

if "%PATCH_LEVEL%" == "-full" goto foundLevel
if "%PATCH_LEVEL%" == "-minor" goto foundLevel

echo.
echo  Error: Installation patch levels are '-full' or '-minor'
echo.
echo    "help: upgrade [-full|-minor]"
echo.
echo  JobServer installation terminated
echo.
goto end

:foundLevel

rem 3.2.0
set PATCH_VER=3.4.26
rem std or pro
set PATCH_VER_TYPE=pro

rem prevent this installation from being used as an installation in future
del /Q "install.bat" 2> nul

rem ask user for target js dir
echo.
echo  Preparing JobServer upgrade to version: %PATCH_VER% (%PATCH_VER_TYPE%)
echo.
echo  Enter directory path of target JobServer environment you want to upgrade
echo.
echo  Enter Path :
set /P ROOT_EJS_HOME=
:okHome1

if /I NOT "%ROOT_EJS_HOME%" == "%PATCH_EJS_HOME%" goto nextStep
echo.
echo. Error: Cannot install to the same patch directory
echo.
echo  JobServer installation terminated
echo.
goto end
:nextStep 

if exist "%ROOT_EJS_HOME%\conf\system-config.bat" goto okHome2
echo.
echo  Error: JobServer environment, targeted for upgrade, cannot be found
echo.
echo  JobServer installation terminated
echo.
goto end
:okHome2

if NOT exist "%ROOT_EJS_HOME%\distrib_dir" goto okHome3
echo.
echo  Error: JobServer environment, targeted for upgrade, not configured properly
echo.
echo  JobServer installation terminated
echo.
goto end
:okHome3

call "%ROOT_EJS_HOME%\conf\system-config.bat"

if "%PATCH_VER_TYPE%" == "std" goto okStd
rem Patch is Pro
if NOT "%dbHost%" == "" goto okTypeCheckEnd
rem if exist "%ROOT_EJS_HOME%\database\dbsetup.bat" goto okTypeCheckEnd
rem Target must be of type std
echo.
echo  Error: Upgrade version type not compatible with existing installation type: standard/pro
echo.
echo  JobServer installation terminated
echo.
goto end

:okStd
rem patch is standard
if "%dbHost%" == "" goto okTypeCheckEnd
rem if not exist "%ROOT_EJS_HOME%\database\dbsetup.bat" goto okTypeCheckEnd
rem Target must be Pro
echo.
echo  Error: Upgrade version type not compatible with existing installation type: pro/standard
echo.
echo  JobServer installation terminated
echo.
goto end

:okTypeCheckEnd

set JS_PATCH_VERSION="%PATCH_VER% %PATCH_VER_TYPE%"

set MULCMD=%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\multiply

set VAR_VER_NUM=0
set VAR_MUL=1
set PATCH_VER_SPACE=%PATCH_VER:.= %
for %%f IN (%PATCH_VER_SPACE%) do call "%MULCMD%" %%f
set PATCH_VER_NUM=%VAR_VER_NUM%

set PATCH_VER_DASH=%PATCH_VER:.=-%
set ROOT_MAIN_JAR=

for %%f IN ("%ROOT_EJS_HOME%\sys\lib\jscore\ejserver-*.jar") DO set ROOT_MAIN_JAR=%%~nxf

if "%ROOT_MAIN_JAR%" NEQ "" goto afterMainJar
set ROOT_MAIN_JAR=
for %%f IN ("%ROOT_EJS_HOME%\sys\app\webapps\WEB-INF\lib\ejserver-*.jar") DO set ROOT_MAIN_JAR=%%~nxf
rem set ROOT_MAIN_JAR=%ROOT_MAIN_JAR:ejserver-=%

if "%ROOT_MAIN_JAR%" NEQ "" goto afterMainJar

echo.
echo  Cannot detect version of target installation.
echo  Enter version of target JobServer installation (e.g. 3.0.14)
echo  Or hit enter key to terminate installation.
echo.
echo  Version Number :
set /P ROOT_MAIN_JAR=

if "%ROOT_MAIN_JAR%" NEQ "" goto afterMainJar0
echo.
echo  Error: Could not detect version of target installation.
echo.
echo  JobServer installation terminated
echo.
goto end

:afterMainJar0
rem strip spaces out
set ROOT_MAIN_JAR=%ROOT_MAIN_JAR: =%
if "%ROOT_MAIN_JAR%" NEQ "" goto afterMainJar
echo.
echo  Error: Could not detect version of target installation.
echo.
echo  JobServer installation terminated
echo.
goto end
:afterMainJar

set ROOT_MAIN_JAR=%ROOT_MAIN_JAR:ejserver-=%
set ROOT_VER=%ROOT_MAIN_JAR:.jar=%
set ROOT_VER_NUM_TMP=%ROOT_VER:.=%

echo %ROOT_VER_NUM_TMP%|findstr /r "[^0-9]" > nul
if %ERRORLEVEL% EQU 1 goto patchVerCheckGood
echo.
echo  Error: Version entered is not a valid version number: %ROOT_VER%
echo.
echo  JobServer upgrade terminated
echo.
goto end
:patchVerCheckGood

set VAR_VER_NUM=0
set VAR_MUL=1
set ROOT_VER_SPACE=%ROOT_VER:.= %
for %%f IN (%ROOT_VER_SPACE%) do call "%MULCMD%" %%f
set ROOT_VER_NUM=%VAR_VER_NUM%

echo.
echo  Confirm upgrade of JobServer installation at:
echo.
echo    %ROOT_EJS_HOME%
echo.
echo. From v%ROOT_VER% to v%PATCH_VER%
echo.
echo  Continue with upgrade? (yes/no) :
set /P LICENSE_VAL=

rem strip spaces out
set LICENSE_VAL=%LICENSE_VAL: =%

if "%LICENSE_VAL%" == "yes" goto acceptedInstall
echo.
echo  JobServer upgrade terminated
echo.
goto end
:acceptedInstall

if NOT "%ROOT_VER_NUM%" == "%PATCH_VER_NUM%" goto verCheck0

set CHECK_SAME_VER=
echo.
echo  New patch file is same version as target installation of: %ROOT_VER%
echo  Do you still want to continue with upgrade? (yes/no) :
set /P CHECK_SAME_VER=

rem strip spaces out
set CHECK_SAME_VER=%CHECK_SAME_VER: =%
if "%CHECK_SAME_VER%" == "yes" goto verCheck1
echo.
echo  JobServer upgrade terminated
echo.
goto end

:verCheck0

if "%PATCH_VER_NUM%" GEQ "%ROOT_VER_NUM%" goto verCheck1
echo.
echo  Error: New patch file must be higher version than current installed version of: %ROOT_VER%
echo.
echo  JobServer upgrade terminated
echo.
goto end

:verCheck1
if NOT "%ROOT_VER_NUM%" LSS "2000000" goto verCheck2
echo.
echo  Error: Target installed version, being upgraded, must be version 2.0 or higher
echo.
echo  JobServer upgrade terminated
echo.
goto end
:verCheck2

@echo off

set APPENDCMD=%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\appendstr

for /F "usebackq delims=," %%i IN (`date /t`) DO set JS_DATE=%%i

rem start 
if "%PATCH_LEVEL%" == "-full" goto majorLevel

goto afterMajor

:majorLevel
  echo.
  echo  Upgrade (full) Version %JS_PATCH_VERSION% starting....

  echo Upgrade (full) Version %JS_PATCH_VERSION% starting - %JS_DATE% >> "%ROOT_EJS_HOME%\EJS-DATA\version\version-history"

  rem do basic updates to installation
  rem replace jobserver webapp, js jars, soafaces jars, gwt jars, webapp jars, README and servicepack release notes

  rem replace jobserver webapp with
  rmdir /S /Q "%ROOT_EJS_HOME%\sys\app\webapps\jobserver" 2> nul
  mkdir "%ROOT_EJS_HOME%\sys\app\webapps\jobserver"
  xcopy /E /Q /Y "%PATCH_EJS_HOME%\sys\app\webapps\jobserver\*" "%ROOT_EJS_HOME%\sys\app\webapps\jobserver." 1> nul

  rem js jars webapp
  del /Q "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\*.jar" 2>nul
  set VARLIST=
  rem copy jars to web dir
  for %%f IN ("%PATCH_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\*.jar") DO call "%APPENDCMD%" %%~nxf
  rem Now parse VARLIST and copy files
  for %%f IN (%VARLIST%) DO copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\%%f" "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\." 1>nul

  rem js jars to jobserver lib dir sdk, jscore, jsthird, endorsed, gwt
  del /Q "%ROOT_EJS_HOME%\sys\lib\sdk\*.jar" 2>nul
  set VARLIST=
  rem copy jars to web dir
  for %%f IN ("%PATCH_EJS_HOME%\sys\lib\sdk\*.jar") DO call "%APPENDCMD%" %%~nxf
  rem Now parse VARLIST and copy files
  for %%f IN (%VARLIST%) DO copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\%%f" "%ROOT_EJS_HOME%\sys\lib\sdk\." 1>nul

  del /Q "%ROOT_EJS_HOME%\sys\lib\jscore\*.jar" 2>nul
  set VARLIST=
  rem copy jars to web dir
  for %%f IN ("%PATCH_EJS_HOME%\sys\lib\jscore\*.jar") DO call "%APPENDCMD%" %%~nxf
  rem Now parse VARLIST and copy files
  for %%f IN (%VARLIST%) DO copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\%%f" "%ROOT_EJS_HOME%\sys\lib\jscore\." 1>nul

  del /Q "%ROOT_EJS_HOME%\sys\lib\jsthird\*.jar" 2>nul
  set VARLIST=
  rem copy jars to web dir
  for %%f IN ("%PATCH_EJS_HOME%\sys\lib\jsthird\*.jar") DO call "%APPENDCMD%" %%~nxf
  rem Now parse VARLIST and copy files
  for %%f IN (%VARLIST%) DO copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\%%f" "%ROOT_EJS_HOME%\sys\lib\jsthird\." 1>nul

  del /Q "%ROOT_EJS_HOME%\sys\lib\endorsed\*.jar" 2>nul
  set VARLIST=
  rem copy jars to web dir
  for %%f IN ("%PATCH_EJS_HOME%\sys\lib\endorsed\*.jar") DO call "%APPENDCMD%" %%~nxf
  rem Now parse VARLIST and copy files
  for %%f IN (%VARLIST%) DO copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\%%f" "%ROOT_EJS_HOME%\sys\lib\endorsed\." 1>nul

  del /Q "%ROOT_EJS_HOME%\sys\lib\gwt\*.jar" 2>nul
  set VARLIST=
  rem copy jars to web dir
  for %%f IN ("%PATCH_EJS_HOME%\sys\lib\gwt\*.jar") DO call "%APPENDCMD%" %%~nxf
  rem Now parse VARLIST and copy files
  for %%f IN (%VARLIST%) DO copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\%%f" "%ROOT_EJS_HOME%\sys\lib\gwt\." 1>nul

  rem files to update
  rmdir /S /Q "%ROOT_EJS_HOME%\servicepack\rel-*" 2> nul
  xcopy /E /Q /Y "%PATCH_EJS_HOME%\servicepack\rel-*" "%ROOT_EJS_HOME%\servicepack\." 1>nul

  rem if NOT exist "%PATCH_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%" goto noPatchDir1
  rem rmdir /S /Q "%ROOT_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%" 2> nul
  rem mkdir "%ROOT_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%"
  rem xcopy /E /Q /Y  "%PATCH_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%\*" "%ROOT_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%\." 1> nul
  rem :noPatchDir1

  copy /Y "%PATCH_EJS_HOME%\servicepack\release_notes-*.html" "%ROOT_EJS_HOME%\servicepack\." 1> nul

  rmdir /S /Q "%ROOT_EJS_HOME%\database" 2> nul
  mkdir "%ROOT_EJS_HOME%\database"
  xcopy /E /Q /Y "%PATCH_EJS_HOME%\database\*" "%ROOT_EJS_HOME%\database\." 1> nul

  copy /Y "%PATCH_EJS_HOME%\README_INSTALL.htm" "%ROOT_EJS_HOME%\." 1> nul

  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\*.bat" "%ROOT_EJS_HOME%\bin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\*.exe" "%ROOT_EJS_HOME%\bin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\jsservice.xml" "%ROOT_EJS_HOME%\bin\jsservice-new.xml" 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\*.bat" "%ROOT_EJS_HOME%\bin\toolbin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\*.exe" "%ROOT_EJS_HOME%\bin\toolbin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\*.sql" "%ROOT_EJS_HOME%\bin\toolbin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\sys\app\bin\catalina.bat" "%ROOT_EJS_HOME%\sys\app\bin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\sys\app\bin\startup.bat" "%ROOT_EJS_HOME%\sys\app\bin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\sys\mule-conf\*.xml" "%ROOT_EJS_HOME%\sys\mule-conf\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\sys\webapp-mule-conf\*.xml" "%ROOT_EJS_HOME%\sys\webapp-mule-conf\." 1> nul

goto doneWithCopy

:afterMajor
  
  rem -minor installation

  echo.
  echo  Upgrade (minor) Version %JS_PATCH_VERSION% starting....

  echo Upgrade (minor) Version %JS_PATCH_VERSION% starting - %JS_DATE% >> "%ROOT_EJS_HOME%\EJS-DATA\version\version-history"

  del /Q  "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\ejserver-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\ejserver-*.jar"            "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\ejui-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\ejui-*.jar"                "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\soafaces-bundle-servlet-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\soafaces-bundle-servlet-*.jar"   "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\soafaces-services-servlet-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\soafaces-services-servlet-*.jar" "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\gwt-servlet-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\gwt-servlet-*.jar"            "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\." 1> nul

  del /Q  "%ROOT_EJS_HOME%\sys\lib\jscore\ejserver-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\ejserver-*.jar"            "%ROOT_EJS_HOME%\sys\lib\jscore\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\lib\jscore\soafaces-bundle-workflow-*.jar" 2>nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\soafaces-bundle-workflow-*.jar"  "%ROOT_EJS_HOME%\sys\lib\jscore\." 1> nul

  del /Q  "%ROOT_EJS_HOME%\sys\lib\gwt\gwt-dev-slim-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\gwt-dev-slim-*.jar"        "%ROOT_EJS_HOME%\sys\lib\gwt\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\lib\gwt\gwt-user-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\gwt-user-*.jar"            "%ROOT_EJS_HOME%\sys\lib\gwt\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\gwt_tb_container.jar"      "%ROOT_EJS_HOME%\sys\lib\gwt\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\lib\gwt\soafaces-services-client-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\soafaces-services-client-*.jar"  "%ROOT_EJS_HOME%\sys\lib\gwt\." 1> nul
  del /Q  "%ROOT_EJS_HOME%\sys\lib\gwt\soafaces-bundle-client-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\soafaces-bundle-client-*.jar"    "%ROOT_EJS_HOME%\sys\lib\gwt\." 1>nul

  del /Q  "%ROOT_EJS_HOME%\sys\lib\jsthird\gwt-user-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\gwt-user-*.jar"            "%ROOT_EJS_HOME%\sys\lib\jsthird\." 1>nul

  del /Q  "%ROOT_EJS_HOME%\sys\lib\sdk\jobserver-webservice-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\jobserver-webservice-*.jar"   "%ROOT_EJS_HOME%\sys\lib\sdk\." 1>nul
  del /Q  "%ROOT_EJS_HOME%\sys\lib\sdk\hessian-*.jar" 2> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\lib\hessian-*.jar"       "%ROOT_EJS_HOME%\sys\lib\sdk\." 1>nul

  rmdir /S /Q "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\help-docs" 2> nul
  mkdir "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\help-docs"
  xcopy /E /Q /Y  "%PATCH_EJS_HOME%\sys\app\webapps\jobserver\help-docs\*" "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\help-docs\." 1>nul
  rmdir /S /Q "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\prod-docs" 2> nul
  mkdir "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\prod-docs"
  xcopy /E /Q /Y  "%PATCH_EJS_HOME%\sys\app\webapps\jobserver\prod-docs\*" "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\prod-docs\." 1>nul
  rmdir /S /Q "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\echo-jsp" 2> nul
  mkdir "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\echo-jsp"
  xcopy /E /Q /Y  "%PATCH_EJS_HOME%\sys\app\webapps\jobserver\echo-jsp\*" "%ROOT_EJS_HOME%\sys\app\webapps\jobserver\echo-jsp\." 1>nul

  rem files to update
  rmdir /S /Q "%ROOT_EJS_HOME%\servicepack\rel-*" 2> nul
  xcopy /E /Q /Y "%PATCH_EJS_HOME%\servicepack\rel-*" "%ROOT_EJS_HOME%\servicepack\." 1>nul

  rem if NOT exist "%PATCH_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%" goto noPatchDir2
  rem rmdir /S /Q "%ROOT_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%" 2> nul
  rem mkdir "%ROOT_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%"
  rem xcopy /E /Q /Y "%PATCH_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%\*" "%ROOT_EJS_HOME%\servicepack\rel-%PATCH_VER_DASH%\." 1>nul
  rem :noPatchDir2

  copy /Y "%PATCH_EJS_HOME%\servicepack\release_notes-*.html" "%ROOT_EJS_HOME%\servicepack\." 1>nul

  rmdir /S /Q "%ROOT_EJS_HOME%\database" 2> nul
  mkdir "%ROOT_EJS_HOME%\database"
  xcopy /E /Q /Y "%PATCH_EJS_HOME%\database\*" "%ROOT_EJS_HOME%\database\." 1>nul

  copy /Y "%PATCH_EJS_HOME%\README_INSTALL.htm" "%ROOT_EJS_HOME%\." 1>nul

  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\*.bat" "%ROOT_EJS_HOME%\bin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\*.exe" "%ROOT_EJS_HOME%\bin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\jsservice.xml" "%ROOT_EJS_HOME%\bin\jsservice-new.xml" 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\*.bat" "%ROOT_EJS_HOME%\bin\toolbin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\*.exe" "%ROOT_EJS_HOME%\bin\toolbin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\distrib_dir\bin\toolbin\*.sql" "%ROOT_EJS_HOME%\bin\toolbin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\sys\app\bin\catalina.bat" "%ROOT_EJS_HOME%\sys\app\bin\." 1> nul
  copy /Y "%PATCH_EJS_HOME%\sys\app\bin\startup.bat" "%ROOT_EJS_HOME%\sys\app\bin\." 1> nul
  rem copy /Y "%PATCH_EJS_HOME%\sys\mule-conf\*.xml" %ROOT_EJS_HOME%\sys\mule-conf\." 1> nul
  rem copy /Y "%PATCH_EJS_HOME%\sys\webapp-mule-conf\*.xml" "%ROOT_EJS_HOME%\sys\webapp-mule-conf\." 1> nul


:doneWithCopy

echo Upgrade Version %JS_PATCH_VERSION% completed - %JS_DATE% >> "%ROOT_EJS_HOME%\EJS-DATA\version\version-history"


echo.
echo  JobServer environment upgraded (%PATCH_LEVEL:-=%) at location:
echo.
echo      %ROOT_EJS_HOME%
echo.
echo  JobServer upgrade to version %PATCH_VER% (%PATCH_VER_TYPE%) complete!
echo.

:end
pause