/*
 * This file is part of the SOAFaces Project (hereinafter "SOAFaces").
 * Copyright (C) 2006 Grand Logic, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package org.soafaces.services.client.rpc;

import com.google.gwt.user.client.rpc.IsSerializable;
import java.io.Serializable;
import java.util.ArrayList;

/**
 * This class is not to be used by application developers. It is only
 * for use by the SOAFaces container implementing this API.
 * 
 * @author Sam Taha
 */
final public class GenericDataWrapper implements IsSerializable {
  
  /**
   * Holder for POJO object that implements user defined IsSerializable
   */
  public IsSerializable _Pojo = null;
  public IsSerializable[] _PojoAr = null;
  
  /**
   * Holder for built-in Java object (String, Integer...etc) that implements Serializable.
   * Note that user defined java.io.Serializable types are not supported.
   */

  public Serializable _PojoSerial = null;
  public Serializable[] _PojoSerialAr = null;
  public Serializable[][] _PojoSerialArAr = null;
  
  /**
   * Flags that wrapper simulates a Object []
   */
  public boolean _pseudoObjectAr = false;
  
  /**
   * These are used to serialize Object[] arguments
   */
  public ArrayList<Serializable> _serAr = null;
  public ArrayList<Serializable[]> _serArAr = null;
  public ArrayList<Serializable[][]> _serArArAr = null;
  public ArrayList<IsSerializable> _isserAr = null;
  public ArrayList<IsSerializable[]> _isserArAr = null;
  public ArrayList<JSONTypeWrapper> _jsonAr = null;

  /**
   * 
   * Contains JSON string representating any desired object
   * */
  public String _Json = null;
}